Subject: Re: bug#7296: display-pixel-height not enough

From: Lennart Borgman <[email-masked]>
Date: Mon, 1 Nov 2010 13:04:11 +0100

On Mon, Nov 1, 2010 at 12:40 PM, Jan Djärv <[email-masked]> wrote:
> 2010-11-01 11:20, Lennart Borgman skrev:
>>
>> On Mon, Nov 1, 2010 at 3:46 AM, YAMAMOTO Mitsuharu
>> <[email-masked]>  wrote:
>
>>> I mean compatibility with previous versions.
>>
>> But is not the current version of display-pixel-height/width kind of
>> bogus since it does not give the actual useable working area?
>
> What documentation says that display-pixel-height/width is that?

Actually I think the documentation is unclear. It should tell whether
it returns the total display size or the work area size. Maybe we
should start there?

>>> Anyway, no matter how you try to specify position/size in detail at
>>> the Lisp level, additional constraints are forced by the window
>>> manager on X11 and the Cocoa framework on Mac OS X.  And such
>>> additional constraints actually solve the problem in your motivating
>>> example in the first place.  It looks more natural to implement such
>>> constraints in the remaining environment, i.e., W32.
>>
>> I see. Yes, maybe. I will have a look at it. (But I would still
>> suggest changing display-pixel-height/width.)
>
> No, that way lies madness.  If you really feel you must fiddle with pixels
> yourself introduce new variables/functions.

It is not clear to me which way is best. Does not that depend on if
the current use of those functions mostly are written for total size
or work area size?